/**********************************************************************/
/*                   C T T S . H                                      */
/**------------------------------------------------------------------**/
/*  Aufgabe        : Header Datei fr CTTS.C                          */
/**------------------------------------------------------------------**/
/*  Autor          : Michael Tischer / Bruno Jennrich                 */
/*  entwickelt am  : 20.03.1994                                       */
/*  letztes Update : 25.03.1994                                       */
/**********************************************************************/
#ifndef __INC_CTTS_H
#define __INC_CTTS_H

#include "types.h"

#define CTTS_DRIVERVERSION  0
#define CTTS_SETSETTINGS    1
#define CTTS_INIT           2
#define CTTS_TERMINATE      3
#define CTTS_SETSPEECHPARAM 4
#define CTTS_SAY            5

WORD ctts_GetDrvVer      ( LPVOID lpEntry );
WORD ctts_GetEnvSettings ( LPVOID lpEntry );
WORD ctts_Init           ( LPVOID lpEntry );
VOID ctts_SetSpeechParam ( LPVOID lpEntry ,
                           BYTE bGender,
                           BYTE bTone,
                           BYTE bVolume,
                           BYTE bPitch,
                           BYTE bSpeed );
VOID ctts_Terminate      ( LPVOID lpEntry );
WORD ctts_Say            ( LPVOID lpEntry, LPCHAR lpString);
#endif

