/**********************************************************************/
/*                               P R O Z C                            */
/*--------------------------------------------------------------------*/
/*    Aufgabe        : Ermittelt den Prozessortyp in einem PC         */
/*--------------------------------------------------------------------*/
/*    Autor          : MICHAEL TISCHER                                */
/*    entwickelt am  : 14.08.1988                                     */
/*    letztes Update : 14.10.1991                                     */
/*--------------------------------------------------------------------*/
/*    (MICROSOFT C)                                                   */
/*    Erstellung     : CL /AS /c PROZC.C                              */
/*                     LINK PROZC PROZCA                              */
/*    Aufruf         : PROZC                                          */
/*--------------------------------------------------------------------*/
/*    (BORLAND TURBO C)                                               */
/*    Erstellung     : ber Project-Datei folgendem Inhalt:           */
/*                     PROZC                                          */
/*                     PROZCA.OBJ                                     */
/**********************************************************************/
                                                                        
#include <stdio.h>

extern int getproz( void );    /* zur Einbindung der Assemblerroutine */
extern int getco( void );
                                                                        
/**********************************************************************/
/**                           HAUPTPROGRAMM                          **/
/**********************************************************************/
                                                                        
void main()
                                                                        
{
 static char * prozname[] = {    /* Vektor mit Pointern auf die Namen */
                             "Intel 8088",                  /* Code 0 */
                             "Intel 8086",                  /* Code 1 */
                             "NEC V20",                     /* Code 2 */
                             "NEC V30",                     /* Code 3 */
                             "Intel 80188",                 /* Code 4 */
                             "Intel 80186",                 /* Code 5 */
                             "Intel 80286",                 /* Code 6 */
                             "Intel 80386",                 /* Code 7 */
                             "Intel 80486",                 /* Code 8 */
                             "Pentium"                      /* Code 9 */
                            };
                                                                        
 static char *coname[] = {       /* Vektor mit Pointern auf die Namen */
                          "Kein Co-Prozessor",              /* Code 0 */
                          "8087",                           /* Code 1 */
                          "80287",                          /* Code 2 */
                          "80387/80487/Pentium"             /* Code 3 */
                          };

 printf(" PROZC (c) 1988-94 by Michael Tischer \n\n");
 printf("Prozessor   : %s\n", prozname[ getproz() ] );
 printf("Co-Prozessor: %s\n\n", coname[ getco() ] );
}
